#pragma once
#include <stdint.h>

struct _yrtag_stringmap;
typedef struct _yrtag_stringmap yrStringmap;

yrStringmap*	yrStringmap_create(size_t size);
void			yrStringmap_destroy(yrStringmap* sm, int free_vals);
void*			yrStringmap_lookup(yrStringmap* sm, const char* key);
int				yrStringmap_insert(yrStringmap* sm, const char* key, void* val);